edu.sc.seis.sod

## Class Stage

- java.lang.Object
- - edu.sc.seis.sod.Stage

- All Implemented Interfaces:
    java.io.Serializable

      public class Stage
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Stage[]` | `ALL`
    `static Stage` | `AVAILABLE_DATA_SUBSETTER`
    `static Stage` | `DATA_RETRIEVAL`
    `static Stage` | `EVENT_ATTR_SUBSETTER`
    `static Stage` | `EVENT_CHANNEL_POPULATION`
    `static Stage` | `EVENT_CHANNEL_SUBSETTER`
    `static Stage` | `EVENT_ORIGIN_SUBSETTER`
    `static Stage` | `EVENT_STATION_SUBSETTER`
    `static Stage` | `NETWORK_SUBSETTER`
    `static Stage` | `PROCESSOR`
    `static Stage` | `REQUEST_SUBSETTER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Stage` | `getFromInt(int val)`
    `int` | `getVal()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EVENT_ATTR_SUBSETTER

          public static final Stage EVENT_ATTR_SUBSETTER

    - #### EVENT_ORIGIN_SUBSETTER

          public static final Stage EVENT_ORIGIN_SUBSETTER

    - #### NETWORK_SUBSETTER

          public static final Stage NETWORK_SUBSETTER

    - #### EVENT_STATION_SUBSETTER

          public static final Stage EVENT_STATION_SUBSETTER

    - #### EVENT_CHANNEL_SUBSETTER

          public static final Stage EVENT_CHANNEL_SUBSETTER

    - #### REQUEST_SUBSETTER

          public static final Stage REQUEST_SUBSETTER

    - #### AVAILABLE_DATA_SUBSETTER

          public static final Stage AVAILABLE_DATA_SUBSETTER

    - #### DATA_RETRIEVAL

          public static final Stage DATA_RETRIEVAL

    - #### PROCESSOR

          public static final Stage PROCESSOR

    - #### EVENT_CHANNEL_POPULATION

          public static final Stage EVENT_CHANNEL_POPULATION

    - #### ALL

          public static final Stage[] ALL

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getVal

          public int getVal()

    - #### getFromInt

          public static Stage getFromInt(int val)